
#import "SuitPileDelegate.h"
#import "Solitaire.h"
#import "CardSet.subproj/cardset.h"

@implementation SuitPileDelegate

- (BOOL) canAcceptPile: aCardPile in: aCardPileView
{
	id		droppingCard = [ aCardPile cardAt: CS_BOTTOM ] ;
	id		targetCard = [ [ aCardPileView cardPile ] cardAt: CS_TOP ] ;

	if ( [ aCardPile cardCount ] > 1 )
	{
		return NO ;
	}

	if ( targetCard )
	{
		if ( ( [ droppingCard suit ] == [ targetCard suit ] ) &&
				( [ droppingCard value ] == [ targetCard value ] + 1 ) )
		{
			return YES ;
		}
	}
	else
	{
		if ( [ droppingCard value ] == CS_ACE )
		{
			return YES ;
		}
	}
	return NO ;
}


- acceptPile: aCardPile in: aCardPileView
{
	[ [ NXApp delegate ] checkForWin ] ;
	return self ;
}

@end
