
#import "DiscardPileDelegate.h"
#import "CardSet.subproj/cardset.h"

@implementation DiscardPileDelegate

- (BOOL) draggedPile: aCardPile from: discardCardPileView
{
	id		discardCardPile = [ discardCardPileView cardPile ] ;

	if ( ( [ aCardPile cardAt: CS_TOP ] ) == ( [ discardCardPile cardAt: CS_TOP ] ) )
	{
		return YES ;
	}
	return NO ;
}


- removedPile: aCardPile from: discardCardPileView
{
	id		discardCardPile = [ discardCardPileView cardPile ] ;
	id		aCard ;

	if ( [ discardCardPile cardCount ] == 0 )
	{
		if ( aCard = [ recycleCardPile cardAt: CS_TOP ] )
		{
			[ recycleCardPile removeCard: aCard ] ;
			[ discardCardPile addCard: aCard ] ;
			[ discardCardPileView display ] ;
		}
	}
	return self ;
}


- getOffset: (float *) xOffset : (float *) yOffset
{
	*xOffset = 20.0 ;
	*yOffset = 0.0 ;
	return self ;
}

@end
