
#import "DrawPileDelegate.h"
#import "CardSet.subproj/cardset.h"

@implementation DrawPileDelegate

- clickedCard: aCard in: drawCardPileView
{
	id	discardCardPile = [ discardCardPileView cardPile ] ;
	id	drawCardPile = [ drawCardPileView cardPile ] ;
	int	drawIndex ;
	id	drawCard ;

	[ recycleCardPile addPile: discardCardPile ] ;
	[ discardCardPile empty ] ;

	if ( aCard )
	{
		for ( drawIndex = 0 ; drawIndex < 3 ; drawIndex++ )
		{
			if ( drawCard = [ drawCardPile cardAt: CS_TOP ] )
			{
				[ drawCardPile removeCard: drawCard ] ;
				[ drawCard flip ] ;
				[ discardCardPile addCard: drawCard ] ;
			}
		}
	}
	else
	{
		[ recycleCardPile flip ] ;
		[ drawCardPile addPile: recycleCardPile ] ;
		[ recycleCardPile empty ] ;
	}

	[ discardCardPileView display ] ;
	[ drawCardPileView display ] ;
	return self ;
}

@end
